<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">การชำระเงิน</div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right" style="margin-top: -10px; margin-bottom: 55px;">
              <form class="navbar-form navbar-right mt-1" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>
                </div>
              </form>
            </div>
            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">#</th>
                  <th style="width: 80px;">Order ID</th>
                  <th style="width: 80px;" class="text-center">รูปภาพ</th>
                  <th>สินค้า</th>
                  <th>จำนวน</th>
                  <th>ชื่อ-สกุล</th>
                  <th>ราคาสุทธิ</th>
                  <th style="width: 200px;">สถานะการชำระเงิน</th>
                  <th style="width: 180px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <!-- <tr *ngFor="let t of orders"> -->
                <tr *ngFor="let p of payments.data; let i = index" >
                  <th scope="row">{{i+1}}</th>
                  <th scope="row">{{p.order_id}}</th>
                  <td (click)="test(p)" style="padding: 2px;"><img style="width: 80px;"
                      src="{{p.picture}}"></td>
                  <td>{{p.p_name}}</td>
                  <td>{{p.count}} คิว</td>
                  <td>{{p.name}}</td>
                  <td>{{p.price|number}} บาท</td>
                  <td>
                    <span *ngIf="p.status=='-2'" class="badge badge-danger">ปฏิเสธแล้ว</span>
                    <span *ngIf="p.status=='-1'" class="badge badge-dark">ถูกยกเลิก</span>
                    <span *ngIf="p.status=='0'" class="badge badge-secondary">รอการตรวจสอบ</span>
                    <span *ngIf="p.status=='1'" class="badge badge-success">ยืนยันแล้ว</span>
                    <span *ngIf="p.status=='2'" class="badge badge-primary">กำลังส่ง</span>
                    <span *ngIf="p.status=='3'" class="badge badge-success">ได้รับแล้ว</span>
                    <span *ngIf="p.status=='4'" class="badge badge-success">สำเร็จแล้ว</span>
                  </td>
                  <td>
                    <!-- <fieldset class="form-group">
                      <select class="form-control" id="basicSelect">
                        <option>รอการยืนยัน</option>
                        <option>ยืนยัน</option>
                        <option>แก้ไข</option>
                        <option>ยกเลิก</option>
                      </select>
                    </fieldset> -->
                    <button [disabled]="p.status!='0' || p.order_status=='-1' || admin_type > 2" href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                      (click)="confirm(p.pm_id)"><i class="fa fa-check"></i> ยืนยัน</button>
                    <button [disabled]="p.status!='0' || p.order_status=='-1' || admin_type > 2" href="javascript:void(0)" (click)="cancel(p.pm_id)"
                      class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-times"></i> ปฏิเสธ</button>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)" class="justify-content-center"
               [pageSize]='20' [(page)]="page"></ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->